org.apache.ignite.internal.processors.odbc

## Enum OdbcProtocolVersion

- java.lang.Object
- - java.lang.Enum<OdbcProtocolVersion>
  - - org.apache.ignite.internal.processors.odbc.OdbcProtocolVersion

All Implemented Interfaces:
  Serializable, Comparable<OdbcProtocolVersion>

    public enum OdbcProtocolVersion
    extends Enum<OdbcProtocolVersion>

ODBC protocol version.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`VERSION_1_6_0` First version of the ODBC.
`VERSION_1_8_0` Second version of the ODBC.
`VERSION_UNKNOWN` Unknown version.

### Method Summary

Methods
`static OdbcProtocolVersion` `current()`
`static OdbcProtocolVersion` `fromLong(long longVal)`
`boolean` `isDistributedJoinsSupported()`
`boolean` `isUnknown()`
`long` `longValue()`
`String` `since()`
`static OdbcProtocolVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdbcProtocolVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VERSION_1_6_0

    public static final OdbcProtocolVersion VERSION_1_6_0

First version of the ODBC. Released with Ignite 1.6

#### VERSION_1_8_0

    public static final OdbcProtocolVersion VERSION_1_8_0

Second version of the ODBC. Released with Ignite 1.8

#### VERSION_UNKNOWN

    public static final OdbcProtocolVersion VERSION_UNKNOWN

Unknown version.

### Method Detail

#### values

    public static OdbcProtocolVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OdbcProtocolVersion c : OdbcProtocolVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OdbcProtocolVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromLong

    public static OdbcProtocolVersion fromLong(long longVal)

Parameters:
  `longVal` - Long value.
Returns:
  Protocol version.

#### current

    public static OdbcProtocolVersion current()

Returns:
  Current version.

#### longValue

    public long longValue()

Returns:
  Long value.

#### isUnknown

    public boolean isUnknown()

Returns:
  `true` if this version is unknown.

#### isDistributedJoinsSupported

    public boolean isDistributedJoinsSupported()

Returns:
  `true` if this version supports distributed joins.

#### since

    public String since()

Returns:
  Ignite version when introduced.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016